/*
 *  ppm.h -- part of stereographic2platecarree
 *
 *  Copyright (c) 2010 Marc Pegon <pe.marc@free.fr>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef PPM_H_
#define PPM_H_

#include "image.h"

// PPM must be "raw" PPM (P6 magic number), NOT "plain" (P3 magic number)

// Require *image exists, but is empty (hasn't been created yet or has been deleted)
void PPMImport(Image *image, char *fileName);

// Require image is not empty
void PPMExport(Image image, char *fileName);

#endif // PPM_H_
